<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3110
Name: Infektionen oder Besiedelungen durch multiresistente Erreger
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3110-2017-08-04T144705">
   <title>Infektionen oder Besiedelungen durch multiresistente Erreger</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3110
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]
Item: (InfektionsbesiedlungenSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]"
         id="d41e2761-false-d16716e0">
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]) &lt;= 1">(InfektionsbesiedlungenSection): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3110
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]
Item: (InfektionsbesiedlungenSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]"
         id="d41e2823-false-d16731e0">
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(InfektionsbesiedlungenSection): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(InfektionsbesiedlungenSection): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3110']) &gt;= 1">(InfektionsbesiedlungenSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3110'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3110']) &lt;= 1">(InfektionsbesiedlungenSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3110'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:id) &lt;= 1">(InfektionsbesiedlungenSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:code[(@code = '56838-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(InfektionsbesiedlungenSection): Element hl7:code[(@code = '56838-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(InfektionsbesiedlungenSection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(InfektionsbesiedlungenSection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(InfektionsbesiedlungenSection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(InfektionsbesiedlungenSection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3110
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:templateId[@root = '1.2.276.0.76.10.3110']
Item: (InfektionsbesiedlungenSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:templateId[@root = '1.2.276.0.76.10.3110']"
         id="d41e2829-false-d16786e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InfektionsbesiedlungenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="string(@root) = ('1.2.276.0.76.10.3110')">(InfektionsbesiedlungenSection): Der Wert von root MUSS '1.2.276.0.76.10.3110' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3110
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:id
Item: (InfektionsbesiedlungenSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:id"
         id="d41e2834-false-d16800e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InfektionsbesiedlungenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3110
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:code[(@code = '56838-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (InfektionsbesiedlungenSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:code[(@code = '56838-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e2836-false-d16811e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InfektionsbesiedlungenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="@nullFlavor or (@code='56838-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of Infectious disease Narrative' and @codeSystemName='LOINC')">(InfektionsbesiedlungenSection): Der Elementinhalt MUSS einer von 'code '56838-6' codeSystem '2.16.840.1.113883.6.1' displayName='History of Infectious disease Narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3110
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:title[not(@nullFlavor)]
Item: (InfektionsbesiedlungenSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:title[not(@nullFlavor)]"
         id="d41e2842-false-d16827e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InfektionsbesiedlungenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="text()='Infektionsbesiedlungen'">(InfektionsbesiedlungenSection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Infektionsbesiedlungen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3110
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:text[not(@nullFlavor)]
Item: (InfektionsbesiedlungenSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3110']]/hl7:text[not(@nullFlavor)]"
         id="d41e2848-false-d16841e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T085857/tmp-1.2.276.0.76.10.3110-2017-08-04T144705.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InfektionsbesiedlungenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
